#ifndef DEMO_COORDINATES_H_
#define DEMO_COORDINATES_H_

/* format:  x_center, y_center, x_dim(final zoom width of x axis), max iterations */

/* These coordinates were found using the Mandelbrot Set Iterator Java applet
 * available at:  http://math.bu.edu/DYSYS/applets/M-setIteration.html
 * by James Denvir.  If you wish to add your own demo coordinates you can use
 * this applet to find other interesting points in the mandelbrot set.  Be sure to
 * update the value of NUMBER_OF_COORDINATES in "settings.h" if you add or remove lines
 * below.
 */

/* in no particular order, make sure there are at least 2 lines below */
{-1.760, 0.0, 0.05, 500},  // 1
{-1.4781768172979355, 0.0, 0.01508731722831726, 50},  // 2
{-0.006125070457284523, -0.8077499668488658, 1.6338581430231508E-4, 500},  // 3
{-0.5570354129425543, 0.6352957489439464, 9.274065304888445E-4, 100},  // 4
{0.42450820043388005, 0.2075353308053001, 3.301533972620563E-4, 100},  // 5
{-0.7625592537807768, 0.08955441532683481, 4.171464390594348E-4, 200},  // 6
{0.35805511474609375, 0.6436386108398438, 0.0259552001953125, 50},  // 7
{-0.10489989636229237, 0.9278526131989105, 2.3876997962775084E-4, 500},  // 8
{-1.447650909, 0.000000000, 0.003, 500},  // 9
{-1.457741737, 0.000000000, 0.000366211, 500},  // 10
{-0.563892365, 0.667407990, 0.001464844, 500},  // 11
{-0.597400665, 0.663105011, 0.005859375, 500},  // 12
{-0.488316298, 0.609600782, 0.000122070, 700}  // 13


#endif /*DEMO_COORDINATES_H_*/


/******************************************************************************
*                                                                             *
* License Agreement                                                           *
*                                                                             *
* Copyright (c) 2007 Altera Corporation, San Jose, California, USA.           *
* All rights reserved.                                                        *
*                                                                             *
* Permission is hereby granted, free of charge, to any person obtaining a     *
* copy of this software and associated documentation files (the "Software"),  *
* to deal in the Software without restriction, including without limitation   *
* the rights to use, copy, modify, merge, publish, distribute, sublicense,    *
* and/or sell copies of the Software, and to permit persons to whom the       *
* Software is furnished to do so, subject to the following conditions:        *
*                                                                             *
* The above copyright notice and this permission notice shall be included in  *
* all copies or substantial portions of the Software.                         *
*                                                                             *
* THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR  *
* IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,    *
* FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE *
* AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER      *
* LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING     *
* FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER         *
* DEALINGS IN THE SOFTWARE.                                                   *
*                                                                             *
* This agreement shall be governed in all respects by the laws of the State   *
* of California and by the laws of the United States of America.              *
* Altera does not recommend, suggest or require that this reference design    *
* file be used in conjunction or combination with any other product.          *
******************************************************************************/
